Package org.springframework.web.cors

# Interface PreFlightRequestHandler

public interface PreFlightRequestHandler
Handler for CORS pre-flight requests.

Since:
  6.2
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`void`
`handlePreFlight(HttpServletRequest request, HttpServletResponse response)`
Handle a pre-flight request by finding and applying the CORS configuration that matches the expected actual request.

## Method Details

### handlePreFlight

void handlePreFlight(HttpServletRequest request, HttpServletResponse response) throws Exception
Handle a pre-flight request by finding and applying the CORS configuration that matches the expected actual request. As a result of handling, the response should be updated with CORS headers or rejected with `HttpStatus.FORBIDDEN`.

Parameters:
  `request` - current HTTP request
  `response` - current HTTP response
Throws:
  `Exception`